org.apache.http.nio.params

## Class NIOReactorParamBean

- java.lang.Object
- - org.apache.http.params.HttpAbstractParamBean
  - - org.apache.http.nio.params.NIOReactorParamBean

Deprecated.
(4.2) use `IOReactorConfig`

    @Deprecated
    public class NIOReactorParamBean
    extends HttpAbstractParamBean

Since:
  4.0

### Field Summary

### Fields inherited from class org.apache.http.params.HttpAbstractParamBean

`params`

### Constructor Summary

Constructors
Constructor and Description
`NIOReactorParamBean(HttpParams params)` Deprecated.

### Method Summary

Methods
`void` `setContentBufferSize(int contentBufferSize)` Deprecated.
`void` `setSelectInterval(long selectInterval)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NIOReactorParamBean

    public NIOReactorParamBean(HttpParams params)

Deprecated.

### Method Detail

#### setContentBufferSize

    public void setContentBufferSize(int contentBufferSize)

Deprecated.

#### setSelectInterval

    public void setSelectInterval(long selectInterval)

Deprecated.